data {
    int N;
    real Y[N];
    real X1[N];
    real X2[N];
}
parameters {
    real b0;
    real b1;
    real b2;
    real<lower = 0.0> sgm;
}
model {
    b0 ~ normal(0, 1000);
    b1 ~ normal(0, 1000);
    b2 ~ normal(0, 1000);
    sgm ~ exponential(0.01);
    for (i in 1:N)
        Y[i] ~ normal(b0 + b1 * X1[i] + b2 * X2[i], sgm);
}
